/**
 * New node file
 */
var EventHandler = require('../../util/eventhandler');
var ChromeCrash = require('./chromecrash');
var XOrgWatchdog = require('./xorgprocess');

var modules = [];

function Watchdog(){
	//public interface
	this.start = doStart;
	this.setConfig = doSetConfig;
}

//private
function doStart(){
	modules.push(new ChromeCrash());
	modules.push(new XOrgWatchdog());
	startTimer();
}

function doSetConfig(config){
}

function startTimer(){
	setTimeout(onExecuteTick,5000);
};

function onExecuteTick(){

	for (var i = 0 ; i < modules.length; i++){
		var c = modules[i];
		c.execute();
	}

	startTimer();
};

exports.Watchdog = Watchdog;