function checkSchedule() {
    var schedule = process.argv[2];
    if (!schedule) {
        echo("");
        return;
    }
    schedule = schedule.split("{").join("").split("}").join("");
    var arrs = schedule.split(",");
    var dow = parseInt(arrs[0], 10);
    var start = arrs[1];
    var end = arrs[2];
    //echo(dow);echo(start);echo(end);
    var currentDate = new Date();
    var startDate = new Date();
    startDate.setHours(start.split(":")[0]);
    startDate.setMinutes(start.split(":")[1]);
    startDate.setSeconds(0);
    startDate.setMilliseconds(0);
    var endDate = new Date();
    endDate.setHours(end.split(":")[0]);
    endDate.setMinutes(end.split(":")[1]);
    endDate.setSeconds(59);
    endDate.setMilliseconds(999);

    var startDay = new Date();
    startDay.setHours(0); startDay.setMinutes(0); startDay.setSeconds(0); startDay.setMilliseconds(0);
    var endDay = new Date();
    endDay.setHours(23); endDay.setMinutes(59); endDay.setSeconds(59); endDay.setMilliseconds(999);

    //echo("Current:" + currentDate);echo("Check start:" + startDate);echo("Check End:" + endDate);
    //echo("Start Day:" + startDay);echo("End Day:" + endDay);

    var res = false;
    //check if we're in the current day
    if (currentDate.getDay() == dow || dow == 7) {
        //if start date is lesser than end date, check normally
        if (startDate.getTime() < endDate.getTime() && currentDate.getTime() >= startDate.getTime() && currentDate.getTime() < endDate.getTime()) {
            res = true;
        } 
        //if start date is larger than end date, include day boundary in the checking
        //for start date check, valid if current time is more than day start boundary and less than start date
        //for end date checked, valid if current time is more than end date and less than day end boundary
        else if (startDate.getTime() > endDate.getTime()) {
            if ((currentDate.getTime() > startDate.getTime() && currentDate.getTime() < endDay.getTime()) || (currentDate.getTime() > startDay.getTime() && currentDate.getTime() < endDate.getTime())) {
                res = true;
            }
        }
    }
    echo(res);
}

function echo(msg) {
    console.log(msg);
}

checkSchedule();