#!/bin/bash
location="$1"
_tempPath="/tmp/appspace"

sleep 60

if [ -f /apps/nexus2/proxy.edge300 ] ; then
	source /apps/nexus2/proxy.edge300
	export http_proxy
	export https_proxy
	export proxy
	export no_proxy
fi

touch $_tempPath/admstart.log

while :
do
	d=$(date +%m/%d/%y-%T)
	echo "$d: RUNNING /apps/nexus2/node /apps/nexus2/nodescripts/appspacenode/server.js /apps/nexus2" >> $_tempPath/admstart.log
	/apps/nexus2/node --expose-gc /apps/nexus2/nodescripts/appspacenode/server.js /apps/nexus2 > /dev/null 2>&1
	d=$(date +%m/%d/%y-%T)
	echo "$d: /apps/nexus2/node STOPPED" >> $_tempPath/admstart.log
	sleep 5
done