#!/bin/bash
_tempPath="/tmp/appspace"
_file=$_tempPath/appspacenodeservicesstart.log
touch $_file
sleep 30

if [ -f /apps/nexus2/proxy.edge300 ] ; then
	source /apps/nexus2/proxy.edge300
	export http_proxy
	export https_proxy
	export proxy
	export no_proxy
fi

while :
do
	d=$(date +%m/%d/%y-%T)
	echo "$d: RUNNING /apps/nexus2/node /apps/nexus2/nodescripts/appspacenodeservices/server.js $*" >> $_file
	/apps/nexus2/node  --expose-gc /apps/nexus2/nodescripts/appspacenodeservices/server.js $* > /dev/null 2>&1
	d=$(date +%m/%d/%y-%T)
	echo "$d: /apps/nexus2/node /apps/nexus2/nodescripts/appspacenodeservices/server.js STOPPED" >> $_file
	sleep 5
done
