#!/bin/bash

#init.d
[[ -f appspace ]] && cp -f appspace /etc/init.d/appspace
update-rc.d -f appspacescript remove
update-rc.d -f appspace remove
update-rc.d appspace defaults
update-rc.d appspace start 20 3 4 5
	
#xinitrc
[[ -f xinitrc ]] && cp -f xinitrc /etc/xdg/xfce4/xinitrc

#xfce keyboard
[[ -d /home/user/.config/xfce4/xfconf/xfce-perchannel-xml ]] && : || su -u user mkdir -p /home/user/.config/xfce4/xfconf/xfce-perchannel-xml
chown -R user:user /home/user/.config #change owner to user, just in case
[[ -d /home/user/.cache ]] && rm -fr /home/user/.cache #suggested by CPG
[[ -f xfce4-keyboard-shortcuts.xml  ]] && cp -f xfce4-keyboard-shortcuts.xml /home/user/.config/xfce4/xfconf/xfce-perchannel-xml/xfce4-keyboard-shortcuts.xml

#autologin
if [ -f /home/appspace/autologin ] ; then
echo "SETTING AUTO LOGIN - 2" >> /home/registration.log
	/home/appspace/autologin
fi

#flash player trust
[[ -d /etc/adobe/FlashPlayerTrust/ ]] && rm -rf /etc/adobe/FlashPlayerTrust/ && rm -rf /etc/adobe
mkdir -p /etc/adobe/FlashPlayerTrust/
echo "/apps/nexus2" > /etc/adobe/FlashPlayerTrust/trust.cfg	

#disable input button
[[ -f cisco_edge340_keymap ]] && cp -f cisco_edge340_keymap /etc/rc_keymaps/cisco_edge340

echo "Re-map A/Blue button to KEY_HELP and ? button to KEY_BLUE"
#re-map A/Blue button to help
#re-map ? button to blue (to reimage device)
curl -X PUT -k -d '{"enabled": "true", "keymap": {"A":"KEY_HELP","help":"KEY_BLUE"}}' 'https://127.0.0.1/api/v3/system/ir'
curl -X PUT -k -d '{"enabled": "true", "keymap": {"input":""}}' 'https://127.0.0.1/api/v3/system/ir'
